package com.izouma.nineth.event;

import com.izouma.nineth.domain.Asset;
import org.springframework.context.ApplicationEvent;

public class TransferAssetEvent extends ApplicationEvent {
    private final boolean success;
    private final Asset   asset;

    public TransferAssetEvent(Object source, boolean success, Asset asset) {
        super(source);
        this.success = success;
        this.asset = asset;
    }

    public Asset getAsset() {
        return asset;
    }

    public boolean isSuccess() {
        return success;
    }
}
